megaparsec-5.3.1: Monadic parser combinators

Copyright | © 2015–2017 Megaparsec contributors
License | FreeBSD
Maintainer | Mark Karpov <markkarpov92@gmail.com>
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Text.Megaparsec.String

Description

Convenience definitions for working with `String` as input stream.

Synopsis

- type Parser = Parsec Dec String

# Documentation

type Parser = Parsec Dec String Source #

Modules corresponding to various types of streams define `Parser` accordingly, so the user can use it to easily change type of input stream by importing different “type modules”. This one is for `String`s.